Riak build fails

Alexandre Conrad alexandre.conrad at gmail.com
Sun Dec 20 09:49:36 EST 2009


2009/12/20 David Smith <dizzyd at basho.com>:
> Does "./rebar version" produce any output? If not, it's def some
> problem with env -- maybe the wrong version of escript or erlang. What
> platform/distribution are you using?

alex at alex-laptop:~/hg/riak$ ./rebar version
Version 1 built 20091217_142251

I'm using Ubuntu Karmic 9.10. I first installed Erlang from the Ubuntu
packages but it turns out that it requires version R13B03 of Erlang.
So I removed the Ubuntu package, downloaded Erlang's sources and
compiled it without too much fuss. Still, at the end of ./configure I
had some warning messages like a few features won't be built because I
don't have all the required dependencies. Although, I could still
built Erlang and have it running:

alex at alex-laptop:~/hg/riak$ erl
Erlang R13B03 (erts-5.7.4) [source] [smp:2:2] [rq:2] [async-threads:0]
[kernel-poll:false]

Eshell V5.7.4  (abort with ^G)
1>


> I tend to hang out in #riak on freenode.net. If you drop by there we
> might be able to sort this out more quickly.

I'll check in soon.

Alex




More information about the riak-users mailing list